
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>精通css（9）bug和修复bug / iVAN</title>

    <meta name="description" content="精通css（9）bug和修复bug 浏览器bug和不一致的显示方式是大多数CSS开发人员面临的主要问题.本文就bug问题作一些学习. 1.bug来源于自己 如果你写的布局跟你想象的不太一致,不要以为这是浏览器bug,首先应该想象是不是自己的问题.要么手贱忘了写&quot;;&quot;或者把单词拼错了,要么是自己对css理解还不够. 2.IE中的bug IE上的bug无疑是众多浏览器中最多的,这主要是它的显示引擎使用了layout(布局).这是许多IE/Win显示bug的根源,所以理解layout概念还是很重要的. 2.1何为la ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">精通css（9）bug和修复bug</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>浏览器bug和不一致的显示方式是大多数CSS开发人员面临的主要问题。本文就bug问题作一些学习。</p>
<h1>1.bug来源于自己</h1>
<p>如果你写的布局跟你想象的不太一致，不要以为这是浏览器bug，首先应该想象是不是自己的问题。要么手贱忘了写";"或者把单词拼错了，要么是自己对css理解还不够。</p>
<h1>2.IE中的bug</h1>
<p>IE上的bug无疑是众多浏览器中最多的，这主要是它的显示引擎使用了layout（布局）。这是许多IE/Win显示bug的根源，所以理解layout概念还是很重要的。</p>
<h2>2.1何为layout</h2>
<p>layout是IE特有的，并非CSS的属性。IE使用layout来控制元素的尺寸和定位。那些拥有布局（have layout）的元素负责本身及其子元素的尺寸设置和定位。如果一个元素don't have layout，它的尺寸和位置就由最近的have layout的祖先元素控制。</p>
<p>默认情况下have layout的元素有body,html(标准模式中),table,tr,td,img,hr,input,select,textarea,button,iframe,embed,object,applet,marquee。可以使用JS的hasLayout函数来查看一个元素是否have layout。</p>
<p>另外，设置以下css属性会使元素have layout：</p>
<p>float:left/right;</p>
<p>display:inline-block;</p>
<p>width/height/zoom:任何值;</p>
<p>IE7中，以下属性也可以触发布局：</p>
<p>max-width:除none以外;</p>
<p>min-width:任何值;</p>
<p>overflow:hidden,scroll,auto;</p>
<h2>2.2 layout带来的问题</h2>
<p>1.IE6以下，如果段落have layout，那么就会限制为矩形，阻止了文本围绕浮动元素；</p>
<p>2.have layout的元素，如果子元素内容比自己还大，该元素会自动扩张，其width属性更像是min-width属性；</p>
<p>3.have layout的元素不会收缩；</p>
<p>4.对浮动元素自动清理；</p>
<p>5.相对定位元素don't have layout；</p>
<p>6,have layout的元素之间外边距不会叠加！呵呵；</p>
<p>7.在don't have layout的块级链接上单击，只会覆盖文本区域；</p>
<p>8.在滚动时，列表项上的背景图像间歇性的显示或消失.</p>
<p>许多IE的bug都可以通过触发layout来修复，IE7对layout的一些bug进行了修复，但还是使用layout显示引擎。直到IE8，才使用全新的显示引擎。</p>
<h2>2.3修复bug</h2>
<p>你可以使用条件注释，使用hack，使用过滤器，但这都是不到万不得已的情况下不会使用的方法。</p>
<h3>2.3.1双外边距浮动bug</h3>
<h3>2.3.2 3像素文本偏移bug<br />
2.3.3 IE6重复字符bug<br />
2.3.4 IE6”藏猫猫“bug<br />
2.3.5相对容器中的绝对定位</h3>
<p>这里有更多bug：<a href="http://blog.csdn.net/dyllove98/article/details/8973494" rel="external nofollow noreferrer">http://blog.csdn.net/dyllove98/article/details/8973494</a></p>
<p>相信随着wb技术的发展，IE的进化终将让我们遗忘这些特有的Bug。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 07:16:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>精通css（9）bug和修复bug的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvlYNM.html" rel="bookmark">修复bug的12个关键步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				boss:那么,你需要多长时间来修复这个bug? 没有经验的程序员:给我一个小时?最多两个小时?我能马上搞定它! 有经验的程序员:这么说吧,钓到一条鱼要多久我就要多久?! 要多少时间才能修复bug,事先是很难知道的,特别是如果你和这些代码还素不相识的话,情况就更加扑朔迷离了.James Shore在&lt;The Art of Agile &gt;一书中,明确指出要想修复问题得先知道问题的所在.而我们之所以无法准确估计时间是因为我们不知道需要多久才能发现症结的所在,只有清楚这一点,我们才能合理估计修复bu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Z3VDz.html" rel="bookmark">duilib combo控件，当鼠标滚动时下拉列表自动关闭的bug的修复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请说明出处,谢谢~~       群里有朋友提到了使用Combo控件时,当下拉列表出现,此时鼠标滚轮滚动,下拉列表就自动消失了.我看了一下源码,这个bug的修复很简单.       CComboUI控件被单击时创建CComboWnd窗体来模拟下拉菜单.CComboWnd类在HandleMessage函数里处理了鼠标滚动消息WM_MOUSEWHEEL,他把这个消息转发给CComboUI的DoEvent函数去处理,而CComboUI的DoEvent函数处理对应的UIEVENT_SCROLLWHE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgw01mM.html" rel="bookmark">OpenStack新版本：新增近350个功能，修复Bug超2900个</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[编者按]在OpenStack Icehouse版本正式发布之前的6个月里,有来自全球超过120家公司与机构的员工参与其中,代码贡献者超过1200名,比2013年的Havana 版本提高了32%.来自咨询机构Forrester的分析表示,OpenStack已经逐步成为事实上(de facto)的基础架构云(IaaS)标准.在新版本中,按照代码提交次数,红帽.IBM.HP.Rackspace以及Mirantis继续领先.本次版本升级的重点内容有:提高项目的稳定性与成熟度,提升用户体验的一致性,特别			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YWLnp.html" rel="bookmark">duilib List控件，横向滚动时列表项不移动或者显示错位的bug的修复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请说明出处,谢谢~~:http://blog.csdn.net/zhuhongshu/article/details/42264673         关于这个bug的修复我之前写过一篇博客,连接为:http://blog.csdn.net/zhuhongshu/article/details/40622705         本以为已经修复好,但是后来有网友私聊我,反映到还存在bug.原本已经解决的bug如下:         1.当List出现滚动条后,拖动滚动条,这时ListConta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6YmGJb.html" rel="bookmark">能存活 19 年的 bug 不是 bug &mdash;&mdash; 有感于微软宣布修复了一个存在了19年的安全漏洞</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,各大网站,包括新浪.腾讯.网易.搜狐都报道了一则关于微软宣布修复了一个存在了19年的安全漏洞的新闻. 对于一个软件制造界外的人来说,这是一个大快人心的消息,就跟一个隐藏了19年的纳粹分子终于被抓住的新闻一样轰动.但以程序员为职业的我,听到这样一个 消息,却有一种非常不解.甚至是荒谬.搞笑的感觉.从软件生产的角度讲,如果一个bug能存活19年,那它还是个bug吗? 一.很多项目生命期不超过19年 我在很多国企开发过项目,这些项目几乎每过几年都会重新开发一回,老项目或者废弃.或者推倒重来,遇到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRylQeb.html" rel="bookmark">20个让你学习并精通CSS的国外网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSS的学习过程既可以说简单又可以说是复杂.CSS的语法比较简单,但CSS的应用中有一些概念(一可以说是原理)还是很难掌握的.今天暴风彬彬 向你推荐20个出色的CSS技术类(英语)网站帮你更好的理解和掌握CSS,其中包括各种各样的网站,从博客到清单风格列表甚至网站,它们都侧重于研究同 一个主题,那就是CSS. 1. A List Apart CSS Topics A List Apart,学习网页设计和最佳实践的首选网站.这个网站从1999年就开始发表关于CSS的文章,其中大部分文章都是面向那些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3WPPz.html" rel="bookmark">java-什么是bug  怎么找bug</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 什么是bug 怎么找bug 什么是bug 怎么找bug 我是个菜鸟 请大神来解答一下 解决方案 bug 就是系统漏洞 就像玩游戏的时候掉出地图外 就是卡入了bug 解决方案二: 你可以将bug理解成系统的一个小错误,只是这个错误对整个系统的运行没有太大的影响 解决方案三: bug是发生在意想之后的情况,通常是由于逻辑不够严谨或对环境不够了解造成的,找bug这个需要有丰富的经验,因为有的bug很难分辨出来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RlXPz.html" rel="bookmark">精通CSS&plus;DIV网页样式与布局--图片效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        提到图片效果,小伙伴们可能会想到美图秀秀,ps等,这些软件都是款非常不错的照片处理软件,包括常用的:黑白,增强,高斯,高对比,夜视,老照片和铅笔画等等.不管你是否是专业的 照片拍摄人员,我们都可以通过照片处理软件轻松实现自己想要的照片效果.这篇博客,小编将继续来总结CSS+DIV的其她效果来进行分析,有兴趣的小伙伴可以点击以下链接,了解小编之前讲解过的关于CSS的一些基础知识:         精通CSS+DIV网页样式与布局--初探CSS        精通CSS+DIV网页样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0ZJQnz.html" rel="bookmark">如何合理地制造&OpenCurlyDoubleQuote;BUG&rdquo;并且查找BUG</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是BUG,简单点说就是,程序没有按照我们预想的方式运行.我比较喜欢把BUG分成两类: 1.Crash掉的 2.没有Crash掉的 可能在平时的编程实践中,往往简单的把BUG与Crash基本等价了.而且我们很多精力也都放在解决Crash的Bug上面.而对于没有Crash掉的BUG,似乎没有过多的关注.但是,实际情况上那些让人痛彻心扉的&quot;天坑&quot;往往是那些没有Crash掉的BUG造成的,比如前一段时间OpenSSL心脏大出血.为什么这么说呢?且听我慢慢道来. 如何合理的制造BUG Cra			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3XeAM.html" rel="bookmark" class="title">在HTML网页头部添加一些属性的重要性</a>
					<div>
						网页 HTML和XHTML都有一个结构,它使网页作者可以增加于HTML文档相关的额外信息.这些额外资源可以是样式化信息(CSS).导航助手.属于另外形式的信息(RSS).联系信息等等. LINK元素( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZAD6p.html" rel="bookmark" class="title">百度最新石榴算法给个人站长什么启示</a>
					<div>
						5月17日百度更新了新的算法,对有弹窗广告的网站进行了一次打击,称之为石榴算法.石榴算法的发布在个人站长中并没有引起太多的波动,不像上次 绿萝算法那样引起太高的关注,也许经历了这么多次百度更新,站长们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7ykdM.html" rel="bookmark" class="title">避免地方网站错误细节操作 防止地方网站权重流失</a>
					<div>
						地方网站目前的竞争是非常惨烈的,甚至一些县城级别都有数十个地方网站,因此提升地方网站在百度里面的排名,是非常关键的,因为当前地方网站的内容很多都有交集,地方门户中有房产信息,房产网站中有二手信息,信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pll0M.html" rel="bookmark" class="title">用SQL Server CE 2&period;0和&period;NET Compact Framework开发&hellip;&hellip;</a>
					<div>
						用SQL Server CE 2.0和.NET Compact Framework开发紧凑而功能强大的移动应用程序 本文假定你熟悉SQL Server和Visual Studio. 概要 开发人员在为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2exdb.html" rel="bookmark" class="title">在Excel中如何将一组数据绘制成图标&quest;</a>
					<div>
						  在Excel中如何将一组数据绘制成图标? 1.选定一组数据 2.点插入,这里有很多种图标,我们选择散点图,然后选择第一个示例图 3.选择图标,左击图表中数点,选择添加趋势线 4.这里选择线性,勾选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Q2yp.html" rel="bookmark" class="title">网易云音乐怎么设置成QQ空间背景音乐？</a>
					<div>
						  网易云音乐设置成QQ空间背景音乐的方法 1.打开网易云音乐网页版页面,登陆自己的网易账号,如果没有账号的同学,可以注册一个账号. 网易云音乐 2.切换到&quot;发现音乐&quot;,下面就是很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkO2Zb.html" rel="bookmark" class="title">百度首页导航如何设置？</a>
					<div>
						  1.点击百度首页右侧的&quot;添加&quot;按钮.然后在打开的窗口中点击&quot;我的导航&quot;和&quot;城市天气&quot;两项内容,则这两项内容被添加到当前百度首页当中. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7kajM.html" rel="bookmark" class="title">vtk-VTK 使用中， 遇到异常报错。</a>
					<div>
						问题描述 VTK 使用中, 遇到异常报错. 我使用VS2005, 使用 cmake2.8.7 编译的 VTK5.8.0 . 我在自己的MFC框架内想调用 VTK 函数, 编译没有任何问题,但是运行时总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42lnqM.html" rel="bookmark" class="title">python-theano装好之后import失败的问题</a>
					<div>
						问题描述 theano装好之后import失败的问题 theano是python的一个深度学习相关的库,用过的知道 rt,theano的依赖包如numpy,scipy都装好了,然后用pip insta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKaj9M.html" rel="bookmark" class="title">Java下拼接执行动态SQL语句（转）</a>
					<div>
						       在实际业务中经常需要拼接动态SQL来完成复杂数据计算,网上各类技术论坛都有讨论,比如下面这些问题:         http://bbs.csdn.net/topics/39087659 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQX7Wp.html" rel="bookmark" class="title">jquery插件ajaxupload实现文件上传操作&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery插件ajaxupload实现文件上传操作代码.分享给大家供大家参考.具体如下: 运行效果截图如下: 图1 文件上传前 图2 文件上传后 具体代码如下: 1.创建页面并编写HT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze66q9b.html" rel="bookmark" class="title">代码-微信支付 请求prepayid 签名错误</a>
					<div>
						问题描述 微信支付 请求prepayid 签名错误 微信支付 调用统一接口 获取prepayId时 返回签名错误 代码为官方demo代码,官方demo代码不修改可以正常生成prepayId 参照官方d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmoDLz.html" rel="bookmark" class="title">&lbrack;译&rsqb; 关于 React Router 4 的一切</a>
					<div>
						本文讲的是[译] 关于 React Router 4 的一切, 原文地址:All About React Router 4 原文作者:BRAD WESTFALL 译文出自:掘金翻译计划 本文永久链接: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Ql2jp.html" rel="bookmark" class="title">c语言-求帮忙看下为什么程序调用了西沟函数导致程序整个不能运行</a>
					<div>
						问题描述 求帮忙看下为什么程序调用了西沟函数导致程序整个不能运行 写说明一下代码,代码主要是要在控制台模拟浏览器对tab和网页前进后退的一些操作 再说明一下问题,问题在于brwosertab类和web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kKDoM.html" rel="bookmark" class="title">红鼎创投刘晓人集资数亿元无力偿还事发已自首</a>
					<div>
						德清县公安局办公室一位工作人员表示,目前刘晓人仍被关着.但经办此案的经侦大队大队长拒绝透露刘晓人一案的涉案金额以及案件进展情况. 在创业板即将推出之际,红鼎创业投资有限公司 (以下简称红鼎创投)创始人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw84Op.html" rel="bookmark" class="title">DockOne微信分享（一一六）：某股份制商业银行定制化PaaS介绍</a>
					<div>
						本文讲的是DockOne微信分享(一一六):某股份制商业银行定制化PaaS介绍[编者的话]某股份制商业银行的PaaS平台是由Wise2C与Rancher合作,基于Rancher做的定制化开发.基于业务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBVYwM.html" rel="bookmark" class="title">二代身份证读卡器成摆设</a>
					<div>
						6月1日聊城大学西校附近一家网吧内一名未成年人在玩游戏. 国家明令禁止网吧通宵营业,同时,聊城市自去年9月份实行了上网实名制,但效果如何呢?近日,记者在市区一些网吧调查发现,不少网吧不需验证身份,很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYNlPp.html" rel="bookmark" class="title">大数据如何解决行业挑战？大数据在10个垂直行业中的应用</a>
					<div>
						大数据已经成为过去几年中大部分行业的游戏规则,行业领袖,学者和其他知名的利益相关者都同意这一点, 随着大数据继续渗透到我们的日常生活中,围绕大数据的炒作正在转向实际使用中的真正价值. 虽然了解大数据的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqXYyb.html" rel="bookmark" class="title">flash-Adobe Flash Player连接错误Google chrome连接错误</a>
					<div>
						问题描述 Adobe Flash Player连接错误Google chrome连接错误 怎麽办?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eDnJb.html" rel="bookmark" class="title">CAAnimation动画&sol;CAAnimation Group</a>
					<div>
						动画分隐式动画和显式动画 CAAnimation采用了CAMediaTiming协议,可以调整时间,包括持续时间,速度,重复次数;采用了CAAction协议,可以通过响应动作的方式来显示动画. CAA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgNl0M.html" rel="bookmark" class="title">iPad2今开卖吸引果粉痴情男提前26小时排队</a>
					<div>
						三里屯Apple店门口的队伍已经近百米 iPad 2今日开卖引来众&quot;果粉&quot; 痴情男提前26小时排队-- 晨报96101热线新闻 (记者李洁) 近日苹果公司终于宣布,iPad2即将在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NBD8z.html" rel="bookmark" class="title">解决Android平台中应用程序OOM异常的方法&lowbar;Android</a>
					<div>
						在Android平台上面,应用程序OOM异常永远都是值得关注的问题.通常这一块也是程序这中的重点之一.这下我就如何解决OOM作一点简单的介绍. 首先,OOM就是内存溢出,即Out Of Memory. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6482M.html" rel="bookmark" class="title">js实现跨域的方法实例详解&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js实现跨域的方法.分享给大家供大家参考.具体分析如下: 由于同源策略的限制,XMLHttpRequest只允许请求当前源(包含域名.协议.端口)的资源. json与jsonp的区别:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm808p.html" rel="bookmark" class="title">迈克菲李明&colon;企业选型DLP需结合自身实际</a>
					<div>
						本文讲的是迈克菲李明:企业选型DLP需结合自身实际,数据安全是保护信息安全的技术,人类对于重要信息的保护需求可追溯到几百甚至千年前,我们熟知的历史故事里面就有很多故事,比如三国演义里面的玉带诏书.或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YGn0p.html" rel="bookmark" class="title">net winform ComboBox数据绑定显示问题</a>
					<div>
						: comboBox控件的Items属性在VS2003的界面中指定,其值为:   v1   v2 comboBox控件的绑定命令是: comboBox1.DataBindings.Add( &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDjWnOM.html" rel="bookmark" class="title">李彦宏确认受联合国邀请成为世界环境日环保公益大使</a>
					<div>
						百度创始人李彦宏受联合国开发计划署之邀,正式担任联合国世界环境日环保公益大使.这也是联合国43年来首次在全球范围内邀请名人担任这一公益大使. 同日,在联合国开发计划署首次在线发布的公益动画短片&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3EW9Jp.html" rel="bookmark" class="title">请问一下企业应用软件开发中，应用到的设计模式多吗？我感觉没怎么用啊？</a>
					<div>
						问题描述 如题,Struts,Spring等框架本身应用了不少设计模式除外,另外有没有什么好的源码学习的!框架代码除外!! 解决方案 做业务系统开发, 和 做技术框架开发的方向性是不一样的. 还有设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG3nynz.html" rel="bookmark" class="title">Kinect2&period;0 的骨骼数据流怎么和彩色数据流相匹配</a>
					<div>
						问题描述 在wpf中Kinect2.0的骨骼数据流怎么和彩色数据流相匹配啊 解决方案 解决方案二:这个容易啊,有个coordinatmapper的方法专门是用来将深度数据.彩色数据.骨骼数据之间进行相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLJ0Zvb.html" rel="bookmark" class="title">网络电话&OpenCurlyDoubleQuote;乱花渐欲迷人眼&rdquo; 中华通缘何受青睐？</a>
					<div>
						近年来,随着移动互联网技术的不断进步,网络电话APP逐渐成为一种新兴的通讯方式.在此过程中,关于网络电话&quot;免费&quot;.&quot;流量资费&quot;等各种争论不断,大量的网络电话产品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdnB7M.html" rel="bookmark" class="title">ATA上市（NYSE：ATA；4630&period;3144万美元）</a>
					<div>
						ATA上市(NYSE:ATA:4630.3144万美元) 涉及金额: 4630.3144万美元 涉及网站: tp://www.ata.net.cn 发生时间: 2008-01-29 事件介绍: 200 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
